%define rhseries rh5x
%define version 1.1.1
%define kderelease 2
%define tag -1.1.1
%define topdirtag -1.1.1
Serial: 3
%define kdename kde-installer
%define topdir %{kdename}%{topdirtag}
Name: %{kdename}
Summary: K Desktop Environment - Red Hat Installation scripts and docs
Version: %{version}
Release: %{kderelease}%{rhseries}
URL: http://www.kde.org
Source: ftp://ftp.kde.org:/pub/kde/{sourcedir}/%{kdename}%{tag}.tar.gz
Group: X11/KDE/Base
Copyright: GPL
BuildRoot: /var/tmp/%{kdename}-buildroot
Distribution: KDE
Packager: KDE Packaging Team <redhat-rpms@kde.org>
Vendor: The KDE Team
Obsoletes: kdesupport-install-kde
Requires: rpm >= 2.5
%description 
This package provides the tools for installation of KDE-%{version}
on Red Hat Linux 4.2, 5.0, 5.1, 5.2 systems: documentation in 
/usr/doc/KDE-%{version} and scripts to install the KDE RPM packages:
-- install-KDE-%{version}        (installs KDE-%{version})
-- install-KDE-%{version}-apps   (allows selection of applications to add)
-- uninstall-KDE                 (uninstalls KDE)

This should be the very first KDE RPM package installed; after it
is installed, just run "install-kde-%{version}", tell it where to find the
KDE RPM packages, and follow the directions.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{topdir}

%build

%install

install -d $RPM_BUILD_ROOT/usr/sbin
install -m 0755 $RPM_BUILD_DIR/%{topdir}/scripts/uninstall-kde $RPM_BUILD_ROOT/usr/sbin
install -m 0755 $RPM_BUILD_DIR/%{topdir}/scripts/install-kde-%{version} $RPM_BUILD_ROOT/usr/sbin
install -m 0755 $RPM_BUILD_DIR/%{topdir}/scripts/install-kde-%{version}-apps $RPM_BUILD_ROOT/usr/sbin

#install the extra redhat documentation
install -d $RPM_BUILD_ROOT/usr/doc/KDE-%{version}
cp -pR $RPM_BUILD_DIR/%{topdir}/docs/* $RPM_BUILD_ROOT/usr/doc/KDE-%{version}
# the gcc_to_egcs howto is only for rh50egcs packages.
if ! [ "%{rhseries}" = "rh50egcs" ] ; then
	rm -rf $RPM_BUILD_ROOT/usr/doc/KDE-%{version}/gcc_to_egcs-HOWTO*
	rm -rf $RPM_BUILD_ROOT/usr/doc/KDE-%{version}/sgml/gcc_to_egcs-HOWTO*
fi

# Generating the filelist for the install-kde package
cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{kdename}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{kdename}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{kdename}




%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%pre 
if [ -L /usr/doc/KDE-%{version} ] ; then
	rm -rf /usr/doc/KDE-%{version}
fi

%files -f ../file.list.%{kdename}

%changelog
* Sun Apr 18 1999 <duncan@kde.org>
- updated for KDE-1.1.1.  
- "default" option for install-kde-%{version} added.

* Wed Feb 17 1999 <duncan@kde.org>
- created as seperate package





